
Figure - Bug #118265
【monkey】【客户反馈】monkey结束后，导出来的自动和手动的log都没有，疑似tlog问题
2023-05-26 12:04 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-26

Priority: High Due date: 2023-05-27

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: 客户jira bug Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-05-27

Test Type: Release Test Root cause: tlog的apk后台被杀后，重新启动tlog的apk没有修改flag设置

Description

客户测试刘周锡那里，昨天晚上跑了monkey，导出来的自动和手动的log都没有。怀疑log服务是不是在跑之前就崩了。

History

#1 - 2023-05-26 12:05 - 物联网测试组_CDTS  唐霞 

日志超过1G，已私发研发

#2 - 2023-05-26 17:25 - CD SYSTEM-夏旭

- % Done changed from 0 to 50

■目前进展

查看压缩包发现，点击导出历史日志，得到的压缩包却是实时日志的内容

发现apk的bug，当上一次选择的收集实时日志，退出，等待后台被杀掉，暗码点进tlog apk，默认就选的历史日志

但是flag没有变，导致最后压缩的时候走的是收集实时日志的流程

这个时候点击开始，收集的就是实时日志，本地已复现

■下一步计划

修改apk的逻辑，本地验证

#3 - 2023-05-26 18:40 - CD SYSTEM-夏旭

- Due date set to 2023-05-27

#4 - 2023-05-27 18:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203061 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com

SYSTEM :Tlog: unable export history logLogtype not initialized as EXPORT_TYPE_HISTORYTC-RID: 1200-0800102IssueID: TS-R-BUG-118265Change-Id:

Iece5be863c5553f3d0f7ded9caf41024bace5df4
#5 - 2023-05-27 18:19 - CD SYSTEM-夏旭

- Status changed from New to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 物联网测试组_CDTS  唐霞 

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-27

- Root cause set to tlog的apk后台被杀后，重新启动tlog的apk没有修改flag设置

■目前进度

tlog的apk后台被杀后，重新启动tlog的apk没有修改flag设置

■下一步

测试验证

正常情况：导出历史日志一会就可以打包完成，实时日志要等好几分钟才会打包完成

#6 - 2023-06-05 09:59 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0106.C104（6/2版本）

#7 - 2023-06-05 10:00 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
